#!/bin/sh

# Unzips, prepares and patches the domc and depending libraries 
# for use with the rtfx. 
# 
# The tar files should be in the 'files' directory as should the 
# patches.

cd `dirname $0`

# Delete the original directories
rm -rf domc || exit 1
rm -rf libmba || exit 1

# Unzip the libraries
echo "untarring dist files..."
tar -zxf files/domc-*.tar.gz || exit 1
tar -zxf files/libmba-*.tar.gz || exit 1

# Rename the directories
echo "renaming directories..."
mv domc-* domc || exit 1
mv libmba-* libmba || exit 1

# Patch the directories
echo "patching the distributions..."
patch -p0 < files/domc-library.patch
patch -p0 < files/libmba-library.patch

